var sourceConrolProviders = require('./source-control-providers.js');
require('./polyfills.js');

var CIA = require('./cli.js').CIA,
    cia = new CIA(sourceConrolProviders);

process.on('uncaughtException', function (err) {
    console.log(err.stack);
    process.exit(1);
});

cia.run(function (exitCode) {
    if (exitCode === undefined || exitCode===0)
        console.log("Build agent exited normally");
    else
        console.log("Build agent exited with code "+exitCode);
    process.exit(exitCode);
});