﻿module.exports = function (startLineAndColumn, name, isAnonymous){
    var keyParts = [];
    if (startLineAndColumn) {
        keyParts.push(startLineAndColumn.join(','));
    }
    if (!isAnonymous && name && 
        !name.startsWith("Anonymous method at ")) //This line is added for backward compatibility when the "anonymous" flag did not exist
    {
        keyParts.push(name);
    }
    
    var wholeKey = keyParts.join('|');
    return wholeKey;
}